Main Page Class List Class Members

# Nv::Blast::BooleanToolOutputData Struct Reference

`#include <NvBlastExtRT.h>`

Inheritance diagram for Nv::Blast::BooleanToolOutputData:

List of all members.

## Public Member Functions
virtual uint32_t | addEdge (const BooleanResultEdge &)=0
virtual uint32_t | addFfResult (const FacetFacetResult &)=0
virtual uint32_t | addVertex (const Vertex &)=0
virtual void | copyVerticesAndResults (const BooleanToolOutputData *other)=0
virtual uint32_t | edgesCount () const =0
virtual uint32_t | ffResultCount () const =0
virtual BooleanResultEdge & | getNewEdge ()=0
virtual FacetFacetResult & | getNewFfResult ()=0
virtual Vertex & | getNewVertex ()=0
virtual void | release ()=0
virtual void | reset ()=0
virtual void | resetEdges ()=0
virtual uint32_t | verticesCount () const =0
## Public Attributes
BooleanResultEdge * | edges = nullptr
FacetFacetResult * | ffResult = nullptr
Vertex * | vertices = nullptr

## Member Function Documentation

virtual uint32_t Nv::Blast::BooleanToolOutputData::addEdge | ( | const BooleanResultEdge & |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual uint32_t Nv::Blast::BooleanToolOutputData::addFfResult | ( | const FacetFacetResult & |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual uint32_t Nv::Blast::BooleanToolOutputData::addVertex | ( | const Vertex & |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual void Nv::Blast::BooleanToolOutputData::copyVerticesAndResults | ( | const BooleanToolOutputData * | other | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual uint32_t Nv::Blast::BooleanToolOutputData::edgesCount | ( |  | ) | const`[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual uint32_t Nv::Blast::BooleanToolOutputData::ffResultCount | ( |  | ) | const`[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual BooleanResultEdge& Nv::Blast::BooleanToolOutputData::getNewEdge | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual FacetFacetResult& Nv::Blast::BooleanToolOutputData::getNewFfResult | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual Vertex& Nv::Blast::BooleanToolOutputData::getNewVertex | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual void Nv::Blast::BooleanToolOutputData::release | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual void Nv::Blast::BooleanToolOutputData::reset | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual void Nv::Blast::BooleanToolOutputData::resetEdges | ( |  | ) | `[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

virtual uint32_t Nv::Blast::BooleanToolOutputData::verticesCount | ( |  | ) | const`[pure virtual]`

Implemented in Nv::Blast::BooleanToolOutputDataImpl.

## Member Data Documentation

BooleanResultEdge* Nv::Blast::BooleanToolOutputData::edges = nullptr

FacetFacetResult* Nv::Blast::BooleanToolOutputData::ffResult = nullptr

Vertex* Nv::Blast::BooleanToolOutputData::vertices = nullptr

The documentation for this struct was generated from the following file:

- sdk/extensions/RT/include/NvBlastExtRT.h